org.activiti.engine.task

## Interface IdentityLink

-     public interface IdentityLink

  An identity link is used to associate a task with a certain identity. For example: - a user can be an assignee (= identity link type) for a task - a group can be a candidate-group (= identity link type) for a task
  Author:
    Joram Barrez

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getGroupId()` If the identity link involves a group, then this will be a non-null id of a group.
    `String` | `getProcessDefinitionId()` The process definition id associated with this identity link.
    `String` | `getProcessInstanceId()` The process instance id associated with this identity link.
    `String` | `getTaskId()` The id of the task associated with this identity link.
    `String` | `getType()` Returns the type of link.
    `String` | `getUserId()` If the identity link involves a user, then this will be a non-null id of a user.

- - ### Method Detail

    - #### getType

          String getType()

      Returns the type of link. See `IdentityLinkType` for the native supported types by Activiti.

    - #### getUserId

          String getUserId()

      If the identity link involves a user, then this will be a non-null id of a user. That userId can be used to query for user information through the `UserQuery` API.

    - #### getGroupId

          String getGroupId()

      If the identity link involves a group, then this will be a non-null id of a group. That groupId can be used to query for user information through the `GroupQuery` API.

    - #### getTaskId

          String getTaskId()

      The id of the task associated with this identity link.

    - #### getProcessDefinitionId

          String getProcessDefinitionId()

      The process definition id associated with this identity link.

    - #### getProcessInstanceId

          String getProcessInstanceId()

      The process instance id associated with this identity link.

Copyright © 2016 Alfresco. All rights reserved.